This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 150940 - gst-thumbnail eat CPU and remains hanged when browsing folder with Multimedia content
gst-thumbnail eat CPU and remains hanged when browsing folder with Multimedia...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nautilus-media (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-12 03:40 EST by Paolo Prandini
Modified: 2008-02-06 20:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 20:02:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paolo Prandini 2005-03-12 03:40:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
When using Nautilus to browse folder with multimedia content, CPU load jumps to 50%, when I close the folder and come back to desktop, CPU load is still 50%.

Version-Release number of selected component (if applicable):
nautilus-media-0.8.1-3

How reproducible:
Always

Steps to Reproduce:
1. Use Nautilus to open a Folder containing large Multimedia Files (Video)
2. Look system-monitor applet, CPU rockets to 50%
3. Exit the folder, close Nautilus
4. CPU still at 50%, Load Average jumps to 33% or more (normally is 0% when idle)  
5. Open System-Monitor search for process eating CPU, you will find gst-thumbnail
6. Kill gst-thumbnail (end process button is not enough)
7. Everything come back to normal

Actual Results:  With Nautilus preview set to defaults settings, (Local files, less than 3MB)
when browsing folder with large video files, Cpu rockets to 50%. When closing the
windows gst-thumbnail process still takes 50% CPU and has to be killed manually. If I browse a Photo folder the CPU rockets to 50% but after a short usage peak and all the photos are displayed CPU comes back to normal.


Expected Results:  CPU load should not be that big. After closing the folder everything should go back to normal.

Additional info:

P4HT 2.6Ghz Kernel 2.6.10-1.760_FC3smp, 512MB RAM.
If Nautilus settings for show thumbnails is set to Never (Edit->Preferences->Preview Tab->Other Previewable files), the Cpu Load is not affected when browsing folders with Multimedia Content.
This problem happens only with large video files. 

My Gstreamer configurations as follows :

gstreamer-plugins-extra-audio-0.8.6-2.1.fc3.fr
gstreamer-ffmpeg-0.8.3-0.1.fc3.fr
gstreamer-0.8.7-3
gstreamer-plugins-extra-video-0.8.6-2.1.fc3.fr
gstreamer-plugins-0.8.5-1

It happens even when I remove all non-Fedora packages.
I have a fresh FC3 on the same box with no add on to for comparison.

I have looked at bug# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=116237
but it's against FC Test1 and the outcomes are a bit different.
Comment 1 Matthew Miller 2006-07-10 18:19:34 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-06 20:02:28 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.